# Aspen CA Client for Devices and Servers

Make SSH TOFU prompts a thing of the past with User and Host identity keys, signed by the Aspen CA.


## Usage

### 1. Get a list of available commands by running `aspen`

```bash
$ aspen
Usage: aspen [--core-opts] <subcommand> [--subcommand-opts] ...

Core options:

  --complete                         Print tab-completion candidates for given parse remainder.
  --hide=STRING                      Set default value of run()'s 'hide' kwarg.
  --print-completion-script=STRING   Print the tab-completion script for your preferred shell (bash|zsh|fish).
  --prompt-for-sudo-password         Prompt user at start of session for the sudo.password config value.
  --write-pyc                        Enable creation of .pyc files.
  -d, --debug                        Enable debug output.
  -D INT, --list-depth=INT           When listing tasks, only show the first INT levels.
  -e, --echo                         Echo executed commands before running.
  -f STRING, --config=STRING         Runtime configuration file to use.
  -F STRING, --list-format=STRING    Change the display format used when listing tasks. Should be one of: flat (default), nested, json.
  -h [STRING], --help[=STRING]       Show core or per-task help and exit.
  -l [STRING], --list[=STRING]       List available tasks, optionally limited to a namespace.
  -p, --pty                          Use a pty when executing shell commands.
  -R, --dry                          Echo commands instead of running.
  -T INT, --command-timeout=INT      Specify a global command execution timeout, in seconds.
  -V, --version                      Show version and exit.
  -w, --warn-only                    Warn, instead of failing, when shell commands fail.

Subcommands:

  add                   Add private key to your available SSH Identities.
  device.list           List my available devices.
  register.register     Register this device on Aspen CA to get signed Public Keys.
  register.unregister   Delete all Aspen-related SSH identities and secrets on this device.
  renew.host            Get or renew a signed Host Identity key for this Device or Server.
  renew.user            Get or renew a signed User Identity Key for your account on this device.
  ssh.add               Add private key to your available SSH Identities.
  ssh.view              View SSH identity key details.
  system.update         Steps to update Aspen Ctl on this device.
```

### 2. Get complete help text for a command

`aspen --help <command.name>`

```bash
$ aspen renew.user --help
Usage: aspen [--core-opts] renew.user [--options] [other tasks here ...]

Docstring:
  Get or renew a signed User Identity Key for your account on this device.

  This will completely remove your current Private and Public keys.

Options:
  -f, --force   Renew whether expired or not
```

## Debug

To print full debug output pass the `-d` param before the command name:

`aspen -d <command.name>`

To echo `run` commands, set the `INVOKE_RUN_ECHO` environment variable.

`export INVOKE_RUN_ECHO=1`
