import getpass
from pathlib import Path
import shutil


def linux_os(ctx, name, pem):
    """
    Install CA cert on Linux OS
    """
    sudo = 'sudo' if getpass.getuser() != 'root' else ''
    cert_path = ctx['cert_path']

    local_path = Path('/usr/local/share/ca-certificates')
    if local_path.exists():
        ctx.run(f'{sudo} cp {cert_path} {local_path}/{name}.crt')

    anchor_path = Path('/etc/pki/ca-trust/source/anchors/')
    if anchor_path.exists():
        ctx.run(f'{sudo} cp {cert_path} {anchor_path}/{name}.crt')

    if shutil.which('update-ca-certificates'):
        ctx.run(f'{sudo} update-ca-certificates')

    if shutil.which('update-ca-trust'):
        ctx.run(f'{sudo} update-ca-trust force-enable')
        ctx.run(f'{sudo} update-ca-trust extract')


__all__ = [
    'linux_os',
]
