import os


def configure_browsers(ctx):
    """
    Configure browsers on the macOS platform
    """
    firefox(ctx)


def firefox(ctx):
    """
    Create preferences file for Firefox
    """
    prefs_path = '/Applications/Firefox.app/Contents/Resources/distribution'

    os.makedirs(prefs_path, exist_ok=True)
    pref = """
    {
        "policies": {
            "Certificates": {
              "ImportEnterpriseRoots": true,
            }
        }
    }
    """

    with open(prefs_path, 'a') as ppf:
        ppf.write(pref)


__all__ = (
    'configure_browsers',
    'firefox',
)
