import getpass
from pathlib import Path
import platform

uname = platform.uname()

CYGWIN_OR_WSL = uname.system.lower().startswith('cygwin') or 'microsoft' in uname.release.lower()

HOME_DIR = Path('~/aspenctl').expanduser()
USERNAME = getpass.getuser()

# API URL Subpaths
HOST_CA_PUBLIC_KEY_SUBPATH = 'ssh_host_ca_public_keys'
USER_CA_PUBLIC_KEY_SUBPATH = 'ssh_user_ca_public_keys'

ASPEN_SESSION = 'ASPEN_SESSION'
PERSIST_TOKEN = 'persist_token'

# SSH Key name
HOST_KEY_NAME = 'ssh_compass_host'
USER_KEY_NAME = 'compass_ed25519'

# Keyring names
ASPEN_USER_PK_PWD = 'aspen_user_private_key'
ASPEN_ACCESS_TOKEN = 'aspen_access_token'
ASPEN_REFRESH_TOKEN = 'aspen_refresh_token'

USER_CA_PUB_FILE = '/etc/ssh/compass_user_ca.pub'

# Configuration file section names
SYSTEM_SECTION = 'BoxData'
ACCOUNT_SECTION = 'Account'
DEVICE_SECTION = 'Device'

# Aspen API endpoint URL path names
REFRESH_SSH_KEY_PATH = 'refresh_openssh_key'

HOST_IDENTITY_KEY_DURATION = 365
DEVICE_USER_KEY_DURATION = 7

# SSO
AUTHORIZE_URL = 'https://clavis.compassfoundation.io/o/authorize/'
TOKEN_URL = 'https://clavis.compassfoundation.io/o/token/'
APPLICATION_ID = '9fcfb802-aad0-65d3-9565-3ffe0e7bad8d'

POISON_PILL_STATUS_CODE = 491

# VPN
VPN_DIR = '/etc/openvpn'
VPN_KEYS_DIR = f'{VPN_DIR}/keys'
