from invoke import Collection
from . import rsa
from . import device
from . import register
from . import renew
from . import ssh
from . import system
from .. import settings
from . import vpn

ns = Collection()

ns.add_collection(ssh)
ns.add_collection(rsa)
ns.add_collection(system)
ns.add_collection(register)
ns.add_collection(renew)

if settings.IS_DRAWBRIDGE_OR_SERVER:
    ns.add_collection(vpn)

if not settings.IS_DRAWBRIDGE_OR_SERVER:
    ns.add_collection(device)

    # Add as tasks so that we can run them without
    # specifying a namespace
    ns.add_task(ssh.add_key)
