from invoke import task
from string import punctuation

from ..network import get_api

table = str.maketrans(punctuation, ' ' * len(punctuation))


@task(name='list')
def my_devices(ctx):
    """
    List my available devices.
    """
    api, user = get_api(ctx)
    api.load('devices', 'device')

    try:
        devices = api.get(params={'contact__cid': user}).json()
    except Exception as e:
        print(f'Unable to retrieve your device list\n\n{e}')
        return

    try:
        print('\nYour devices:\n')
        for device in devices['results']:
            print('{name} - ({cid})'.format_map(device))
        print('\n')
    except KeyError:
        print(f'No devices found')


__all__ = [
    'my_devices',
]
