from invoke import task

from aspenctl.configuration import ConsoleSettingsConfig
from aspenctl import settings

from ..vpn.vpn import generate_appliance_vpn_csr, sign_appliance_vpn_csr


@task
def setup(ctx):
    """
    Setup and install Management VPN.
    """
    cfg = ConsoleSettingsConfig().as_typed_dict(settings.SYSTEM_SECTION)

    csr_path = generate_appliance_vpn_csr(cfg['cid'])
    sign_appliance_vpn_csr(ctx, cfg['cid'], csr_path)


__all__ = [
    'setup',
]
