from pylogcabin import AspenAPI
import sys
from typing import List, NamedTuple

if sys.version_info >= (3, 8):
    from typing import TypedDict
else:
    from typing_extensions import TypedDict


class ApiUser(NamedTuple):
    api: AspenAPI
    user: str


class Tokens(TypedDict):
    access: str
    refresh: str


class AspenAccountConfig(Tokens):
    cid: str


class ApplianceData(TypedDict):
    name: str
    adminurl: str
    cid: str
    auth_token: str


class Key(NamedTuple):
    private: bytes
    public: bytes
    password: str


class OpenSshSigningRequestData(TypedDict, total=False):
    public_key: str
    principals: List[str]
    cert_type: int
    duration: int


__all__ = (
    'ApiUser',
    'AspenAccountConfig',
    'ApplianceData',
    'Key',
    'OpenSshSigningRequestData',
    'Tokens',
)
